hi, dear all:

I have implemented a j2me program. And I have been asked to update by OTA.

I build a simple IIS server and add some mime types for supporting jad and jar download. But I can't make the version check working.

I read some books, they said it will auto check the midlet version on the server and user device, and if the version is older, it will prompt user and doesn't start the download.

My situation is it will always download, no matter the version is newer or older.

Please tell me why or how to enable the version check.
Thank you all in advance.